Subject: Re: [PATCH 2/2] Allow fetch-pack to decide keeping the fetched pack without exploding

From: Jakub Narebski <[email-masked]>
Date: Tue, 23 Jan 2007 18:22:43 +0100

Johannes Schindelin wrote:

> Seriously again, your comment got me thinking: it could actually make 
> sense to include the information of code moves and code copies (for easier 
> review) in the "@@ .. @@" lines (or before them, if git apply does not 
> choke on inserting garbage lines before them).
> 
> But maybe it is not that good after all: if you review code, you should 
> inspect it (even if it was only moved), since it might have all kinds of 
> side effects, or you might have missed some other aspect before.

It would be nice to have extended git header dealing with code copies
(or stuff it in chunk header or above), because sometimes both sides
of code movement (removal from one file, adding in next file) can be
separated by a few pagefulls of chunks.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git